ICU 60.2 60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
icu::ConstChar16Ptr Class Referencefinal

const char16_t * wrapper with implicit conversion from distinct but bit-compatible pointer types. More...

`#include <char16ptr.h>`

## Public Member Functions
| ConstChar16Ptr (const char16_t *p)
| Copies the pointer. More...
| ConstChar16Ptr (const uint16_t *p)
| Converts the pointer to char16_t *. More...
| ConstChar16Ptr (const wchar_t *p)
| Converts the pointer to char16_t *. More...
| ConstChar16Ptr (const std::nullptr_t p)
| nullptr constructor. More...
| ~ConstChar16Ptr ()
| Destructor. More...
const char16_t * | get () const
| Pointer access. More...
| operator const char16_t * () const
| char16_t pointer access via type conversion (e.g., static_cast). More...

## Detailed Description

const char16_t * wrapper with implicit conversion from distinct but bit-compatible pointer types.

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 146 of file char16ptr.h.

## Constructor & Destructor Documentation

icu::ConstChar16Ptr::ConstChar16Ptr | ( | const char16_t * | p | ) |
| inline

Copies the pointer.

Parameters

  p | pointer

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 234 of file char16ptr.h.

icu::ConstChar16Ptr::ConstChar16Ptr | ( | const uint16_t * | p | ) |
| inline

Converts the pointer to char16_t *.

Parameters

  p | pointer to be converted

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 236 of file char16ptr.h.

icu::ConstChar16Ptr::ConstChar16Ptr | ( | const wchar_t * | p | ) |
| inline

Converts the pointer to char16_t *.

(Only defined if U_SIZEOF_WCHAR_T==2.)

Parameters

  p | pointer to be converted

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

icu::ConstChar16Ptr::ConstChar16Ptr | ( | const std::nullptr_t | p | ) |
| inline

nullptr constructor.

Parameters

  p | nullptr

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 241 of file char16ptr.h.

icu::ConstChar16Ptr::~ConstChar16Ptr | ( |  | ) |
| inline

Destructor.

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 242 of file char16ptr.h.

## Member Function Documentation

const char16_t * icu::ConstChar16Ptr::get | ( |  | ) | const
| inline

Pointer access.

Returns
  the wrapped pointer

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 244 of file char16ptr.h.

icu::ConstChar16Ptr::operator const char16_t * | ( |  | ) | const
| inline

char16_t pointer access via type conversion (e.g., static_cast).

Returns
  the wrapped pointer

Draft:
  This API may be changed in the future versions and was introduced in ICU 59

Definition at line 195 of file char16ptr.h.

The documentation for this class was generated from the following file:

- char16ptr.h